Bug 166308 - Review Request: asciidoc
Review Request: asciidoc
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Josh Boyer
David Lawrence
http://www.methods.co.nz/asciidoc/
:
Depends On:
Blocks: FE-ACCEPT 165833
  Show dependency treegraph
 
Reported: 2005-08-18 19:32 EDT by Chris Wright
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-15 18:58:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Wright 2005-08-18 19:32:51 EDT
Spec: 
http://www.kernel.org/pub/linux/kernel/people/chrisw/git/review/asciidoc.spec

SRPM:
http://www.kernel.org/pub/linux/kernel/people/chrisw/git/review/asciidoc-7.0.1-2.src.rpm

AsciiDoc is a text document format for writing short documents,
articles, books and UNIX man pages. AsciiDoc files can be translated
to HTML and DocBook markups using the asciidoc(1) command.

It is a prerequisite for building git-core, used for generating the man pages.
Comment 1 Warren Togami 2005-08-18 20:30:22 EDT
Please do not use both $RPM_BUILD_ROOT and %{buildroot}.  Choose one and stick
to for consistency purposes.  I personally prefer the former but you may make
your own choice.

I may be willing to sponsor your Fedora membership.  I am interested do you have
any further plans for other packages for Extras?

https://bugzilla.redhat.com/bugzilla/showdependencytree.cgi?id=FE-NEW&hide_resolved=1
https://bugzilla.redhat.com/bugzilla/showdependencytree.cgi?id=FE-REVIEW&hide_resolved=1
Could you help a little in reviewing other package submissions?  There are a
wide variety of packages submitted that may interest you.
Comment 2 Chris Wright 2005-08-19 20:31:12 EDT
Of course, you are right (bah, even part of guidelines, my fault).  I fixed that
up to consistently use RPM_BUILD_ROOT.  Those are the only packages I have
currently planned.  I do appreciate you considering sponsor.  Wow, that's a lot
of -new.  I'll see if I can't find something to review.

http://www.kernel.org/pub/linux/kernel/people/chrisw/git/review/asciidoc.spec
http://www.kernel.org/pub/linux/kernel/people/chrisw/git/review/asciidoc-7.0.1-3.src.rpm
Comment 3 Ralf Corsepius 2005-08-20 01:08:55 EDT
Minor spec issues:

- Source0: %{name}-%{version}.tar.gz
This should be an URL

- The spec file is ISO8859-1 encoded and contains non-ASCI chars in its
changelogs. Please convert it to utf-8.

Also please have a look at rpmlint's output on the resulting *.rpm. 
rpmlint is pretty verbose on the *.rpm, but I haven't checked the details.
Comment 4 Warren Togami 2005-08-24 18:13:10 EDT
Chris go ahead and create your account and request cvsextras access.  I will
approve you.  We can do the final spec polish together in CVS.  After that I
would appreciate if you could help to review any of the other submitted
packages, although that is more of a request than requirement.
Comment 5 Josh Boyer 2005-08-29 20:30:21 EDT
Chris, I spoke with Warren today and we decided that I'll go ahead and import
your packages into CVS while you create your account to speed things along.

This package is now in CVS.  I updated it to the latest asciidoc package and
fixed it up for Ralf's specfile comment.
Comment 6 Chris Wright 2005-08-30 01:54:17 EDT
Thanks, I made some changes as well based on Ralf's comments and also updated to
7.0.2 (probably the same changes, so merging should be trivial).  I waded into
the rpmlint issues (specifically dangling symlink), and had only a couple ugly
fixes so I dropped them for now.  Anyway current spec and src.rpm are uploading
to http:///pub/linux/kernel/people/chrisw/git/review

I also applied for CVS account.
Comment 7 Josh Boyer 2005-08-30 12:16:38 EDT
(In reply to comment #6)
> Thanks, I made some changes as well based on Ralf's comments and also updated to
> 7.0.2 (probably the same changes, so merging should be trivial).  I waded into
> the rpmlint issues (specifically dangling symlink), and had only a couple ugly
> fixes so I dropped them for now.  Anyway current spec and src.rpm are uploading
> to http:///pub/linux/kernel/people/chrisw/git/review

I put your's into CVS instead.  It fixed the UTF-8 problem, which mine didn't.

> 
> I also applied for CVS account.

Great!  Your packages should be waiting for you in CVS when you get sponsored :)
Comment 8 Warren Togami 2005-09-05 06:56:33 EDT
Chris, you must request cvsextras access using the web interface in the accounts
system.  I cannot do that step for you.
Comment 9 Chris Wright 2005-09-06 13:58:45 EDT
That's odd, I applied on 8/30.  I'll reapply.
Comment 10 Chris Wright 2005-09-06 15:43:48 EDT
It's now properly pending, I hadn't completed all the steps, sorry about that.
Comment 11 Josh Boyer 2005-09-13 13:11:14 EDT
Any progress being made here?
Comment 12 Paul Howarth 2005-09-15 13:18:05 EDT
Given that this package has already been imported into CVS and built for
development, perhaps someone would like to assign the bug to themselves,
formally approve it, change the blocker to FE-ACCEPT and then close the bug so
that the dependency tree looks sane?
Comment 13 Josh Boyer 2005-09-15 18:56:21 EDT
yes, that should be done.
Comment 14 Josh Boyer 2005-09-15 18:58:40 EDT
approved

Note You need to log in before you can comment on or make changes to this bug.